#

API Docs for:
Show: Inherited Protected Private Deprecated

# ColumnSeries Class

Defined in: `input/charts/ColumnSeries.js:1`
Module: charts

The ColumnSeries class renders columns positioned horizontally along a category or time axis. The columns' lengths are proportional to the values they represent along a vertical axis. and the relevant data points.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getMarkerDimensions
- updateMarkerState

### Attributes

- styles
- type

## Methods

### `_getMarkerDimensions`

(

- `xcoord`
- `ycoord`
- `calculatedSize`
- `offset`

)
private

Defined in `input/charts/ColumnSeries.js:13`

Helper method for calculating the size of markers.

#### Parameters:

- `xcoord` Number

  The x-coordinate representing the data point for the marker.

- `ycoord` Number

  The y-coordinate representing the data point for the marker.

- `calculatedSize` Number

  The calculated size for the marker. For a `BarSeries` is it the width. For a `ColumnSeries` it is the height.

- `offset` Number

  Distance of position offset dictated by other marker series in the same graph.

#### Returns:

Object

### `updateMarkerState`

(

- `type`
- `i`

)
protected

Defined in `input/charts/ColumnSeries.js:42`

Resizes and positions markers based on a mouse interaction.

#### Parameters:

- `type` String

  state of the marker

- `i` Number

  index of the marker

## Attributes

### `styles`

Object

Defined in `input/charts/ColumnSeries.js:118`

Style properties used for drawing markers. This attribute is inherited from `MarkerSeries`. Below are the default values:

fill
  A hash containing the following values:
  color
    Color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker fill. The default value is 1.
border
  A hash containing the following values:
  color
    Color of the border. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
width
  indicates the width of the marker. The default value is 12.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.

### `type`

String readonly

Defined in `input/charts/ColumnSeries.js:106`

Read-only attribute indicating the type of series.

Default: column